{{ $page_section := .CurrentSection }}
<nav class="menu">
    <a href="{{ .FirstSection.Permalink }}">
        <p class="menu-label">
            {{ .FirstSection.Title }}
        </p>
    </a>
    <ul class="menu-list">
        {{ range .FirstSection.Sections }}
        <li>
            <a class="panel-block{{if eq $page_section . }} is-active{{ end }}" href="{{ .Permalink }}">
                {{ .Title }}
            </a>
            <ul>
                {{- range .Sections -}}
                <li><a class="panel-block{{if eq $page_section . }} is-active{{ end }}" href="{{ .Permalink }}">
                        {{ .Title }}
                    </a></li>
                {{- end -}}
            </ul>
        </li>
        {{ end }}
        {{- range .FirstSection.RegularPages -}}
        <li><a class="panel-block{{if eq $page_section . }} is-active{{ end }}" href="{{ .Permalink }}">
                {{ .Title }}
            </a></li>
        {{- end -}}
    </ul>
</nav>